Subject: RE: tar Does Not Handle Win32 Pathnames ...
From: "Parker, Ron" <[email-masked]>
To: Jason Tishler <[email-masked]>, "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 25 May 2000 11:58:15 -0500

> "Larry Hall (RFK Partners, Inc)" wrote:
> > Try using \ for the path separators.  Any path with a \ in 
> it is interested
> > as a Win32 path.  Paths without / are considered POSIX 
> paths I believe (so
> > the result is tar is looking for a host named "C" using NFS syntax).
> 
> Before posting, I had already tried the following:
> 
>     $ tar -tvzf 'C:\temp\make-3.79.tar.gz'
>     tar (grandchild): Cannot open archive C:\temp\make-3.79.tar.gz
>     ...

Cygwin will interpret any path with a '\' in it as a Windows path.  However
I believe that ':' is being parsed in tar and it is trying to treat it as an
NFS path before cygwin ever sees the backslashed path.

There are only two syntaxes I am aware of that can be used with tar to
access this path.  Both must be given with slashes so that they pass through
to cygwin and are interepreted by its path parsing routines.

	tar -tvzf /cygdrive/c/temp/make-3.79.tar.gz

and

	tar -tvzf //c/temp/make-3.79.tar.gz

The second form may not resolve to the expected path if there is a machine
named "C" on your network.

--
Want to unsubscribe from this list?
Send a message to [email-masked]